<?php
/**
 * Business agency default theme options.
 *
 * 
 * @subpackage Business agency
 */

if ( !function_exists('business_agency_get_default_theme_options' ) ) :

    /**
     * Get default theme options.
     *
     * @since 1.0.0
     *
     * @return array Default theme options.
     */
    function business_agency_get_default_theme_options()
    {

        $default = array();

        // Homepage Slider Section
        $default['business_agency_homepage_slider_option'] = 'hide';
        $default['business_agency_slider_cat_id'] = 0;
        $default['business_agency_no_of_slider'] = 3;
        $default['business_agency_slider_get_started_txt'] = esc_html__('Get Started!', 'business-agency');
        $default['business_agency_slider_get_started_link'] = '#';

        // footer copyright.
        $default['business_agency_copyright'] = esc_html__('Copyright All Rights Reserved', 'business-agency');

        // Home Page Top header Info.
        $default['business_agency_top_header_section'] = 'hide';
        $default['business_agency_top_header_section_phone_number_icon'] = 'fa-phone';
        $default['business_agency_top_header_phone_no'] = '';
        $default['business_agency_email_icon'] = 'fa-envelope-o';
        $default['business_agency_top_header_email'] = '';
        $default['business_agency_social_link_hide_option'] = 0;

        // Blog.
        $default['business_agency_sidebar_layout_option'] = 'right-sidebar';
        $default['business_agency_blog_title_option'] = esc_html__('Latest Blog', 'business-agency');
        $default['business_agency_blog_excerpt_option'] = 'excerpt';
        $default['business_agency_description_length_option'] = 40;
        $default['business_agency_exclude_cat_blog_archive_option'] = '';
        

        // Details page.
        $default['business_agency_show_feature_image_single_option'] = 'show';

        // Color Option.
        $default['business_agency_primary_color'] = '#ef4a2b';
        $default['business_agency_top_header_background_color'] = '#ef4a2b';
        $default['business_agency_top_footer_background_color'] = '#444444';
        $default['business_agency_bottom_footer_background_color'] = '#444444';
        $default['business_agency_front_page_hide_option'] = 0;
        $default['business_agency_breadcrumb_setting_option'] = 'enable';
        $default['business_agency_post_search_placeholder_option'] = esc_html__('Search', 'business-agency');
        $default['business_agency_hide_breadcrumb_front_page_option'] = 0;
        $default['business_agency_color_reset_option'] = 'do-not-reset';

        // Pass through filter.
        $default = apply_filters( 'business_agency_get_default_theme_options', $default );
        return $default;
    }
endif;
